## hfsutils 1.19b-1

=== debian/control ===
PACKAGE: hfsutils
VERSION: =
ARCHITECTURE: =
MAINTAINER: Robert Leslie <rob@mars.org>
DEPENDS: libc5 (>= 5.4.13)
RECOMMENDS: xlib6, tcl76, tk42
SUGGESTS: xbase
PRIORITY: optional
SECTION: misc
DESCRIPTION: Tools for reading and writing Macintosh volumes.
 HFS is the native Macintosh filesystem format.
 .
 This package contains several command-line utilities for
 reading and writing Macintosh HFS-formatted media such as
 floppy disks, CD-ROMs, and hard disks.
 .
 Also included is a scriptable Tcl shell and `xhfs', a
 comprehensive X interface.
