## hfsutils 3.2.6

=== debian/changelog ===
hfsutils (3.2.6-16ubuntu1) oracular; urgency=medium

  * d/rules: switch to use the debhelper autoreconf template.
    - d/rules: disable parallel testing.
    - d/hfsutils-tcltk.links: remove, this is auto-handled by debhelper now.
  * d/p/0006-Fix-memory-corruption.patch: add a patch to fix memory corruption
    issues (LP: #493273).
  * d/p/0007-Fix-cv-qualifiers.patch: add a patch to fix build with GCC 14.

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 01 Aug 2024 13:28:47 +0200

hfsutils (3.2.6-16) unstable; urgency=medium

  * Add patch to fix missing inclusion of string.h in hpwd.c (Closes: #1066216)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 14 Apr 2024 13:46:37 +0200

hfsutils (3.2.6-15) unstable; urgency=medium

  * Set myself as maintainer in debian/control (Closes: #677770)
  * Drop all patches in debian/patches
  * Re-add patch to fix build system issues
  * Re-add patch to fix FTBFS with gcc-3.4
  * Re-add patch to add support for files larger than 2GB
  * Re-add patch to add -DUSE_INTERP_RESULT to DEFINES in Makefile.in
  * Add Vcs-* fields to debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 23 Jan 2021 15:23:26 +0100

hfsutils (3.2.6-14) unstable; urgency=medium

  * QA upload.
  * Switch to the default Tcl/Tk from 8.5 since 8.5 is to be removed from
    Debian.
  * Ensure that there's no -L/usr/lib in the build process. Closes: #722779.
  * Replace dh_clean -k by dh_prep.
  * Use priority optional instead of deprecated extra.
  * Bump the debhelper compatibility level to 10.
  * Conforms to Standards version 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 28 Jan 2018 19:15:33 +0300

hfsutils (3.2.6-13) unstable; urgency=medium

  * QA upload.
  * Fix a FTBFS caused by a missing filename and doubled diff for that file
    in man-macros.diff. Closes: #753178.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 10 Aug 2014 18:52:52 +0300

hfsutils (3.2.6-12) unstable; urgency=low

  * QA upload.
  * Properly orphan the package. See #677770.
  * Build using Tcl/Tk 8.5. Closes: #631601. LP: #1155269.
  * Build with hardening defaults.
  * Fix some lintian warnings. Closes: #615357, #615428.
  * Fix typo in man page. Closes: #525266.
  * Handle files larger than 2GB.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Mar 2013 12:44:10 -0700

hfsutils (3.2.6-11) unstable; urgency=low

  * New maintainer (Closes: #387338).
  * Update to the latest Standards-Version.
  * Update description in debian/control with homepage.
  * Add debian/watch.
  * Conform to policy by building with CFLAGS="-O2 -g -Wall".
  * Add dpatch support.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Thu, 14 Sep 2006 11:55:33 +0200

hfsutils (3.2.6-10) unstable; urgency=low

  * New maintainer (Closes: #303264).
  * Making it Policy compliant.

 -- David Moreno Garza <damog@debian.org>  Thu,  5 Jan 2006 20:01:38 -0600

hfsutils (3.2.6-9) unstable; urgency=low

  * QA upload.
  * debian/rules: Really force make not to re-run autoconf.
    Closes: #307039.

 -- Matej Vela <vela@debian.org>  Sat, 30 Apr 2005 10:58:27 +0200

hfsutils (3.2.6-8) unstable; urgency=low

  * QA upload.
  * Package is orphaned (see #303264); set maintainer to Debian QA Group.
  * Include <errno.h> instead of declaring errno on our own (patch by
    Andreas Jochens).  Closes: #280310.
  * Link to tcl8.4/tk8.4.
  * Switch to debhelper.
  * Remove trailing dot from short description.  Closes: #174469.
  * debian/copyright: List copyright holder.  Closes: #302937.
  * debian/rules: Force make not to re-run autoconf.
  * Move xhfs from /usr/X11R6/bin to /usr/bin.
  * Replace /usr/share/doc/hfsutils-tcltk with a symlink to hfsutils.
  * Drop /usr/doc symlink.  Closes: #261565.
  * Conforms to Standards version 3.6.1.

 -- Matej Vela <vela@debian.org>  Tue, 26 Apr 2005 11:35:02 +0200

hfsutils (3.2.6-7) unstable; urgency=medium

  * Fix my brandamage -- don't depend on unstable X pkgs.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 21 Jul 2001 21:47:00 -0500

hfsutils (3.2.6-6) unstable; urgency=medium

  * Add autoconf build dependency - since the offending file is an empty
    stamp file (./.stamp/configure), we can't fix the dependency by just
    updating the files in my build tree because the file won't show up in
    the diff.  I could just put a single character in the stamp file, and
    that might help, but that's a fragile fix IMO. (closes: #104628)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 19 Jul 2001 09:10:18 -0500

hfsutils (3.2.6-5) unstable; urgency=low

  * Don't invoke configure in make clean.  This isn't as robust, but it
    calling configure there was killing autobuilders who clean as root,
    and hence create a config.log that they can't edit when they
    subsequently build as a normal user. (closes: #94099)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 10 Jul 2001 11:50:33 -0500

hfsutils (3.2.6-4) unstable; urgency=low

  * Recompile against fixed tcl lib (Closes: Bug#93629).
  * Use "install -s" to fully strip things for ELF.

 -- Rob Browning <rlb@cs.utexas.edu>  Wed, 11 Apr 2001 16:31:56 -0500

hfsutils (3.2.6-3) unstable; urgency=low

  * add Build-Depends: tcl*-dev and tk*-dev (Closes: Bug#85250).

 -- Rob Browning <rlb@cs.utexas.edu>  Tue, 13 Feb 2001 23:26:37 -0600

hfsutils (3.2.6-2) unstable; urgency=low

  * fix location of copyright in debian/copyright.
  * move manpages, docs, etc. to */share/*
  * include Section: and Priority: field in binary packages.
  * add check for tk.h in $TCL_PREFIX/include/tcl*.
  * add postinst/prerm to binary packages to handle doc symlink.
  * avoid dependency on tkstep8.0. (Closes: Bug#37200).
  * update to Standards-Version: 3.2.1.0.

 -- Rob Browning <rlb@cs.utexas.edu>  Sun, 24 Dec 2000 00:00:46 -0600

hfsutils (3.2.6-1) unstable; urgency=low

  * New upstream version.
  * Move hfs to hfsutils-tcltk, where it should have been (Closes: Bug#41969).


