=== debian/control ===
Source: hfsutils
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Standards-Version: 4.1.3
Build-Depends: debhelper-compat (= 13), tcl-dev, tk-dev
Homepage: http://www.mars.org/home/rob/proj/hfs/
Vcs-Browser: https://salsa.debian.org/debian/hfsutils
Vcs-Git: https://salsa.debian.org/debian/hfsutils.git

Package: hfsutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hfsutils-tcltk
Description: Tools for reading and writing Macintosh volumes
 HFS is the native Macintosh filesystem format.
 .
 This package contains several command-line utilities for reading and
 writing Macintosh HFS-formatted media such as floppy disks, CD-ROMs,
 and hard disks.

Package: hfsutils-tcltk
Architecture: any
Depends: hfsutils, ${shlibs:Depends}, ${misc:Depends}
Replaces: hfsutils (<< 3.1-3)
Description: Tcl/Tk interfaces for reading and writing Macintosh volumes
 HFS is the native Macintosh filesystem format.
 .
 This package contains xhfs, a Tk-based X windows interface, and hfssh,
 a Tcl-based shell.
