=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for hfsutils
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure -- \
		    --with-tcl=/usr/lib \
		    --with-tk=/usr/lib

override_dh_auto_test:
	# Tests can't be run in parallel
	dh_auto_test --no-parallel

override_dh_auto_install:
	$(MAKE) prefix=$(CURDIR)/debian/hfsutils/usr install_cli
	$(MAKE) prefix=$(CURDIR)/debian/hfsutils-tcltk/usr install_tcl install_tk
